*, *::before, *::after {
    box-sizing: border-box;
    font-family: 'Veranda', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
}

body {
	margin: 0;
 	background-color: rgb(229, 229, 229)
}

/* Styling for the top header */
.top-header{
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    justify-self: center;
    background-color: rgba(0, 47, 155);
    justify-self: center;
    width: 75rem;
    height: 10rem;
}

#options{
    margin: .5rem 2rem 0.5rem 1rem;
    border-radius: .3rem;
}

.search-bar{
    display: flex;
    align-items: flex-end;
    flex-direction: row;
    width: 100%;
    margin: .5rem 2rem 0.5rem 1rem;
}

.search-input{
    border-radius: .3rem;
    width: 100%;
    height: 30px;
}

#search-select{
    border-radius: .3rem;
    width: 5rem;
    height: 25px;
    margin: 0 .2rem;
}

.search-btn{
    height: 25px;
    margin: 0 .2rem;
}

.search-btn{
    border: 1px solid #777;
    background-color: #f8f8f8;
    border-radius: .3rem;
    cursor: pointer;
}

.powered-by-google{
    max-height: 30px;
}

/* Styling for the Bottom Header */
.bottom-header{
    display: flex;
    justify-content: space-around;
    align-items: center;
    background-color: rgba(99, 152, 203);
    justify-self: center;
    width: 75rem;
    padding: 0.1rem 3rem 0.1rem 3rem;
    height: 1.75rem;
}

.banner-buttons{
    text-decoration: none;
    color: #f8f8f8;
    font-size: 1rem;
}

/* Styling for the actual page. */
.profile{
    display: flex;
    align-items: center;
    background-color: rgb(255, 255, 255);
    margin: 0 20rem 0 20rem;
    padding: 1rem 3rem 1rem 3rem;
    justify-self: center;
    width: 75rem;
    height: 100%;
}

/* Left Profile */
.left-profile{
    display: flex;
    flex-direction: column;
    width: 40%;
    margin: .25rem;
}

.pic-and-bio{
    display: flex;
    flex-direction: row;
}

.bio-section{
    width: 50%;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    padding: 0 0 0 1rem;
}

.slimeball{
    height: 200px;
}

.profile-name{
    font-weight: bolder;
}

.contact-section{
    display: flex;
    flex-direction: column;
    border-style: solid;
    border-width: 0.15rem;
    border-color:rgba(99, 152, 203);
    width: 100%;
}

.contact-header{
    background-color: rgba(99, 152, 203);
    padding: 0 0 0 1rem;
    margin: 0;
}

.contact-title{
    font-weight: bolder;
    color: white;
}

.contact-info{
    display:flex;
    flex-direction: row;
    width: 100%;
    padding: .5rem;
}

.left-contact-info{
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    width: 50%;
    height: 100%
}

.right-contact-info{
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    width: 50%;
    height: 100%;
}

.contact-icons{
    width: 12%;
    padding: 0.1rem;
}

.contact-links{
    height:12%;
    text-decoration: none;
    font-weight: bold;
    color:rgb(78, 122, 163);
}

/* Right Profile */
.right-profile{
    display: flex;
    flex-direction: column;
    width: 60%;
    margin: 1rem;
    justify-items: center;
    align-items: center;
}

.private-notification{
    border-style: solid;
    border-width: 3px;
    border-color: #000000;
    padding: .25rem;
    word-wrap: normal;
    width: 30rem;
    margin: 1rem;
}

.private-text{
    font-weight: bolder;
    text-align: center;
    font-size: 20px;
}

/* Styling for Page Footer*/
.top-footer{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    margin-bottom: 30px;
}

.footer-buttons{
    color: rgba(0, 47, 155);
    padding: 5px;
    font-size: 1rem;
}

.footer{
	margin-bottom: .375rem;
	margin-top: .375rem;
	text-align: center;
	color: #000000;
	font-size: 0.75rem;
	padding: 0 .0625rem .0625rem .3125rem;
}